JavaScript
import Client from 'agentlin_client';
const client = new Client({
apiKey: process.env['AGENTLIN_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const envInfo of client.env.list()) {
console.log(envInfo.name);
}import os
from agentlin_client import Client
client = Client(
api_key=os.environ.get("AGENTLIN_API_KEY"), # This is the default and can be omitted
)
page = client.env.list()
page = page.environments[0]
print(page.name)package main
import (
"context"
"fmt"
"github.com/LinXueyuanStdio/agentlin-client-go"
"github.com/LinXueyuanStdio/agentlin-client-go/option"
)
func main() {
client := agentlin.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Env.List(context.TODO(), agentlin.EnvListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.linxueyuan.online/v1/env \
--header 'Authorization: Bearer <token>'
{
"environments": [
{
"name": "<string>",
"source": "<string>",
"module": "<string>",
"importable": "<string>",
"default_params_summary": "<string>",
"origin": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Environment
List Environments
列出所有可用的环境
GET
/
env
JavaScript
import Client from 'agentlin_client';
const client = new Client({
apiKey: process.env['AGENTLIN_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const envInfo of client.env.list()) {
console.log(envInfo.name);
}import os
from agentlin_client import Client
client = Client(
api_key=os.environ.get("AGENTLIN_API_KEY"), # This is the default and can be omitted
)
page = client.env.list()
page = page.environments[0]
print(page.name)package main
import (
"context"
"fmt"
"github.com/LinXueyuanStdio/agentlin-client-go"
"github.com/LinXueyuanStdio/agentlin-client-go/option"
)
func main() {
client := agentlin.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Env.List(context.TODO(), agentlin.EnvListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Cursor for pagination
Cursor for pagination
Maximum number of environments to return
Response
Successful Response
列出环境响应
Show child attributes
Show child attributes
Was this page helpful?
⌘I